org.eclipse.emf.compare.ide.ui.internal.preferences

## Interface EMFCompareUIPreferences

    public interface EMFCompareUIPreferences

Set of preferences affecting the behavior of the EMF Compare user interface.

Default values for each of these can be checked from `EMFCompareUIPreferencesInitializer`.

### Field Summary

Fields
`static String` `DISABLE_RESOLVERS_PREFERENCE` Preference telling us whether the model resolvers are enabled (value `false`) or disabled (value `true`).
`static String` `DISABLE_THREADING_PREFERENCE` Preference telling us whether the model resolver can use threading (value `false`) or if it should remain single-threaded (value `true`).
`static String` `EDITOR_TREE_AUTO_EXPAND_LEVEL` Preference key holding the value for the comparison editor to automatically expand the tree viewer of the top panel to a specific level.
`static String` `EDITOR_TREE_AUTO_SELECT_FIRST_CHANGE` Preference key holding the value for the comparison editor to automatically select the first change in the tree viewer of the top panel.
`static String` `EDITOR_TREE_EXPAND_TIMEOUT` Preference key holding the value for the comparison editor to limit the number of seconds spent expanding the tree viewer during `auto expand` and expand-all.
`static String` `EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES` Preference key holding the value for the comparison editor to automatically highlight changes related to the current selection in the tree viewer of the top panel.
`static String` `ENABLE_MODEL_RESOLUTION_FROM_CONTAINERS` Preference indicating whether a the EMFModelProvider should be active also for comparisons of containers.
`static String` `PRE_MERGE_MODELS_WHEN_CONFLICT` Preference indicating whether a pre-merge must be performed when a REAL conflict is detected.
`static String` `RESOLUTION_SCOPE_PREFERENCE` Preference telling EMF Compare which scope to crawl for cross-referenced resources.
`static String` `SELECT_NEXT_UNRESOLVED_DIFF` Preference indicating whether the next unresolved diff should be selected after a merge action.

### Field Detail

#### DISABLE_RESOLVERS_PREFERENCE

    static final String DISABLE_RESOLVERS_PREFERENCE

Preference telling us whether the model resolvers are enabled (value `false`) or disabled (value `true`).

See Also:
  Constant Field Values

#### DISABLE_THREADING_PREFERENCE

    static final String DISABLE_THREADING_PREFERENCE

Preference telling us whether the model resolver can use threading (value `false`) or if it should remain single-threaded (value `true`).

See Also:
  Constant Field Values

#### RESOLUTION_SCOPE_PREFERENCE

    static final String RESOLUTION_SCOPE_PREFERENCE

Preference telling EMF Compare which scope to crawl for cross-referenced resources. Should be one of the literals from `CrossReferenceResolutionScope`.

See Also:
  Constant Field Values

#### PRE_MERGE_MODELS_WHEN_CONFLICT

    static final String PRE_MERGE_MODELS_WHEN_CONFLICT

Preference indicating whether a pre-merge must be performed when a REAL conflict is detected. The expected values are `true` or `false`.

See Also:
  Constant Field Values

#### ENABLE_MODEL_RESOLUTION_FROM_CONTAINERS

    static final String ENABLE_MODEL_RESOLUTION_FROM_CONTAINERS

Preference indicating whether a the EMFModelProvider should be active also for comparisons of containers. The expected values are `true` or `false`.

See Also:
  Constant Field Values

#### EDITOR_TREE_AUTO_EXPAND_LEVEL

    static final String EDITOR_TREE_AUTO_EXPAND_LEVEL

Preference key holding the value for the comparison editor to automatically expand the tree viewer of the top panel to a specific level.

See Also:
  Constant Field Values

#### EDITOR_TREE_EXPAND_TIMEOUT

    static final String EDITOR_TREE_EXPAND_TIMEOUT

Preference key holding the value for the comparison editor to limit the number of seconds spent expanding the tree viewer during `auto expand` and expand-all.

See Also:
  Constant Field Values

#### EDITOR_TREE_AUTO_SELECT_FIRST_CHANGE

    static final String EDITOR_TREE_AUTO_SELECT_FIRST_CHANGE

Preference key holding the value for the comparison editor to automatically select the first change in the tree viewer of the top panel.

See Also:
  Constant Field Values

#### EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES

    static final String EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES

Preference key holding the value for the comparison editor to automatically highlight changes related to the current selection in the tree viewer of the top panel.

See Also:
  Constant Field Values

#### SELECT_NEXT_UNRESOLVED_DIFF

    static final String SELECT_NEXT_UNRESOLVED_DIFF

Preference indicating whether the next unresolved diff should be selected after a merge action. The expected values are `true` or `false`.

See Also:
  Constant Field Values